{% extends "siswa/userbase.html.twig" %}

{% block tittleNav %}
    Notifikasi
{% endblock %}

{% block body %}
    <nav class="navbar navbar-expand-lg navbar-light bg-white sticky-top container-fluid shadow-sm">
        <div class="d-flex justify-content-md-center ">
            <div class="rounded-lg2 d-flex justify-content-md-center align-content-center"
                 style="height: 50px; width: 25px">
                <a class="align-self-center text-dark " href="javascript:history.back()">
                    <i class="mdi mdi-keyboard-arrow-left centertodiv f16"></i></a>
            </div>
        </div>
        <div class="p-2 flex-grow-1 d-flex justify-content-md-center">
            <img src="{{ user.getTentorProfile().getGeneratedAvatar() != null ? user.getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}" class="image-bunder"
                 style="height: 2em; width: 2em; margin-left: 0;padding-left: 0; margin-right: 1em">
            <a class="align-self-start text-white font-weight-bold  text-dark">{{ user.getTentorProfile().getFullName() }}</a>
        </div>
    </nav>

    {#    MENU NOTIF#}
    <section class="container-fluid mt-5" id="chat-container">

{#        {% for i in 0..isiChatData.chat|length - 1 %}#}

{#            {% if(isiChatData.chat[i].type) == "send" %}#}
{#                <div class="d-flex justify-content-end">#}
{#                    <div style="width: 4em"></div>#}
{#                    <p class="bg-primary text-white f08 mb-1"#}
{#                       style="padding: 0.5em 1em; border-radius: 15px 0 15px 15px">#}
{#                        {{ isiChatData.chat[i].isipesan }}#}
{#                    </p>#}
{#                </div>#}
{#                <p class="f06 text-black-50 text-right">{{ isiChatData.chat[i].time }}</p>#}

{#            {% else %}#}

{#                <div class="d-flex justify-content-start">#}
{#                    <p class=" t-black f08 mb-1"#}
{#                       style="padding: 0.5em 1em; border-radius: 0 15px 15px 15px; background-color: #ddd">#}
{#                        {{ isiChatData.chat[i].isipesan }}#}
{#                    </p>#}
{#                    <div style="width: 4em"></div>#}

{#                </div>#}
{#                <p class="f06 text-black-50 text-left">{{ isiChatData.chat[i].time }}</p>#}

{#            {% endif %}#}

{#        {% endfor %}#}

    </section>

    <section class="container-fluid  fixed-bottom mb-3 mt-3">
            <div class="form-grou d-flex align-items-center">
                <input type="text" class="form-control  flex-grow-1" id="pesan" placeholder="Tulis Pesan">
                <button id="btn-send"
                        class="d-block ml-2 font-weight-bold t-primary"
                        style="border: none; box-shadow: none; background-color: transparent">Kirim
                </button>

            </div>
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script>
        var user_id = '{{ app.user.getId() }}';
        // var db = firebase.firestore();
        var id = '{{ id }}';
        var room = user_id + '_' + id;

        function chatElement(data, time) {
            let type = data['member'];
            let message = data['message'];
            let sec = time['seconds'];
            let temp = new Date(sec * 1000);
            let minute = String(temp.getMinutes()).padStart(2, '0');
            let hour = String(temp.getHours()).padStart(2, '0');
            let result = '';
            if (type === 'send') {
                result = '<div class="d-flex justify-content-end">\n' +
                    '                    <div style="width: 4em"></div>\n' +
                    '                    <p class="bg-primary text-white f08 mb-1"\n' +
                    '                       style="padding: 0.5em 1em; border-radius: 15px 0 15px 15px">\n' + message +
                    '                    </p>\n' +
                    '                </div>\n' +
                    '                <p class="f06 text-black-50 text-right">' + hour + ':' + minute + '</p>';
            }else{
                result = '<div class="d-flex justify-content-start">\n' +
                    '                    <p class=" t-black f08 mb-1"\n' +
                    '                       style="padding: 0.5em 1em; border-radius: 0 15px 15px 15px; background-color: #ddd">\n' + message +
                    '                    </p>\n' +
                    '                    <div style="width: 4em"></div>\n' +
                    '                </div>\n' +
                    '                <p class="f06 text-black-50 text-left">' + hour + ':' + minute + '</p>';
            }
            return result;
        }

        async function sendChat(){
            let msg = $('#pesan').val();
            if(msg === ''){
                console.log('Pesan Kosong')
            }else{
                let param = {
                    tentorId: id,
                    msg: msg
                };
                let response = await $.post('/member/chat/send', param);
                if(response['code'] === 200){
                    $('#pesan').val('')
                }
                console.log(response);
            }
        }
        $(document).ready(function () {

            let el = $('#chat-container');
            el.onDataLoading('Sedang Mengunduh Pesan..')
            db.collection("chat_room").doc(room).onSnapshot(function(doc) {
                el.append(chatElement(doc.data(), doc.data()['lastUpdate']));
                // console.log("Current data: " , doc.data());
            });
            db.collection("chat_room").doc(room).collection('room').get().then((querySnapshot) => {
                el.empty();
                querySnapshot.forEach((doc) => {
                    el.append(chatElement(doc.data(), doc.data()['createdAt']));
                    // console.log(doc.id, " => ", doc.data());
                });
            });

            $('#btn-send').on('click', function () {
                sendChat();
            })
            // db.collection("chat_room").doc('2_1').get().then((querySnapshot) => {
            //     querySnapshot.forEach(function(doc) {
            //         // doc.data() is never undefined for query doc snapshots
            //         console.log(doc.id, " => ", doc.data());
            //     });
            // });
        })
    </script>
{% endblock %}